Bug 82841 - update net/nss_ldap
Summary: update net/nss_ldap
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: niels
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-06-30 22:50 UTC by Thomas Sandford
Modified: 2005-07-11 20:03 UTC (History)
1 user (show)

See Also:


Attachments
nss_ldap.patch (16.10 KB, patch)
2005-06-30 22:50 UTC, Thomas Sandford
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Sandford 2005-06-30 22:50:16 UTC
Update net/nss_ldap to version 1.239 (vendor release 239)

This update is high priority as the existing port 1.204 has a serious bug
which causes a crontab edit by a normal user to crash cron (see bin/81555).

I have confirmed that the enclosed fix does indeed fix bin/81555.

Please note that I have CC'd the maintainer, nectar@, on this PR.

Fix: The patch below will perform the update to vendor release 239 / port
version 1.239.

The resulting port has undergone basic, but not yet rigorous, testing
at this site as follows:

* After reboot login by LDAP users still works.
* Likewise ls -l in an LDAP user directory correctly indicates
  uid and guid as looked-up values
* PR bin/81555 is fixed after installing the upgraded port.
Comment 1 Florent Thoumie freebsd_committer 2005-07-01 07:32:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nectar

Over to maintainer.
Comment 2 niels freebsd_committer 2005-07-08 08:34:28 UTC
Responsible Changed
From-To: nectar->niels

Thanks for the patch. Nectar is currently unable 
to fix this on short term so you're blessed with me ;-) 

I'll process this submission right away. 

Niels
Comment 3 niels freebsd_committer 2005-07-08 12:19:33 UTC
State Changed
From-To: open->analyzed


Looks good. I'm waiting for nectar's approval and will then commit. 

Thanks ! 

Niels
Comment 4 niels freebsd_committer 2005-07-11 20:03:08 UTC
State Changed
From-To: analyzed->closed

Committed, thanks ! 

Niels